Subject: bug#6539: ispell-complete-word looks for wrong file (at least on w32)

From: Lennart Borgman <[email-masked]>
Date: Wed, 30 Jun 2010 20:07:27 +0200

On Wed, Jun 30, 2010 at 2:27 PM, Agustin Martin
<[email-masked]> wrote:
>> On Wed, Jun 30, 2010 at 01:45:56PM +0200, Lennart Borgman wrote:
>>
>> Does not such plain wordlists come with ispell or aspell?
>
> Hi,
>
> No, both ispell and aspell use hashed tables derived from affix rules and ...

Thanks for the explanations.

Perhaps it would be possible to rewrite ispell-complete-word to use
those tables instead?

>> I think the default for ispell-alternate-dictionary should be changed on w32.
>
> Or, more globally, find a good and not confusing name for default personal
> plain wordlist that can be used in every system, be it w32 or not, so it is
> tried first in `ispell-alternate-dictionary', something like
>
> (expand-file-name "~/.personal.words")
>
> Not sure if that syntax works well in w32. Suggestions are welcome.

It works well on w32. The location seems good too, but maybe it should
be in ~/.emacs.d/.

Maybe the name should remind more about ispell though?